Upgrading Nodejs from 10.x to 14.x in yocto Zeus #yocto #zeus


poornesh@...
 

Greetings !

I am using yocto zeus for my project . I am having a requirement of Nodejs 14.x but the available Nodejs version in yocto zeus is 10.x . Can anyone help me by sharing the steps to upgrade Nodejs 10.x to 14.x in yocto zeus.

Thanks in Advance


Michael Opdenacker
 

Hi

On 9/14/21 6:55 AM, poornesh@elmeasure.com wrote:
Greetings !

I am using yocto zeus for my project . I am having a requirement of
Nodejs 14.x but the available Nodejs version in yocto zeus is 10.x .
Can anyone help me by sharing the steps to upgrade Nodejs 10.x to 14.x
in yocto zeus.

I am not an expert and my experience is limited, but I would try to
create my own custom layer (see
https://docs.yoctoproject.org/dev-manual/common-tasks.html, you probably
already have one), and add a copy of the current Nodejs recipe in
meta-oe:
https://git.openembedded.org/meta-openembedded/tree/meta-oe/recipes-devtools/nodejs

Then try and see what's missing in Zeus in terms of dependencies or
versions, and add more custom recipes if needed.

Note that the latest versions of recipes (and bitbake of course) now use
a new syntax (see
https://docs.yoctoproject.org/migration-guides/migration-3.4.html#override-syntax-changes).
You'll have to restore the old syntax for the recipes to be usable in Zeus.

I cannot suggest to upgrade to a newer version of Yocto Project yet,
because we don't have any release yet that supports Nodejs 14.x.

If others have better solutions to propose, don't hesitate to reply to
this thread.

Cheers,
Michael.
--

Michael Opdenacker, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com